import { OnChanges, OnDestroy, SimpleChanges, Renderer, ElementRef, EventEmitter } from '@angular/core';
import { DisqusService } from './disqus.service';
export declare class DisqusComponent implements OnChanges, OnDestroy {
    private renderer;
    private el;
    private dService;
    /** DISQUS Account Name */
    shortname: string;
    identifier: string;
    url: string;
    categoryId: string;
    language: string;
    title: string;
    /** Add DISQUS count script */
    count: boolean;
    /** Remove DISQUS script on destroy */
    removeOnDestroy: boolean;
    /** Track Comments */
    comment: EventEmitter<any>;
    constructor(renderer: Renderer, el: ElementRef, dService: DisqusService);
    ngOnChanges(changes: SimpleChanges): void;
    addDisqusScript(): void;
    /** Reset disqus with new inputs. */
    reset(): void;
    /** TODO: Get DISQUS Count */
    /** ngAfterViewInit(){
            this.dService.getCount().subscribe((res)=>{
                console.log(res);
            })
        }
    */
    /** Get the valid URL */
    validatedUrl(): string;
    /** Get disqus settings from inputs */
    getConfig(): () => void;
    ngOnDestroy(): void;
}
